/****************************************************************************/
/* GF71 ( 画面関連状態ﾃｰﾌﾞﾙ )                                               */
/*                                                                          */
/* Created : 2022/11/10 17:41:41                                            */
/****************************************************************************/


CREATE TABLE GF71 (
   SYSTEM_ID    VARCHAR         (  10 )                 NOT NULL            /*  10 ｼｽﾃﾑID       */
 , TBLSYU       VARCHAR         (   1 )                 NOT NULL            /*  20 ﾃｰﾌﾞﾙ種別    */
 , ADDRESS      VARCHAR         ( 256 )                                     /*  30 ｱﾄﾞﾚｽ        */
 , FILENAME     VARCHAR         (  60 )                                     /*  40 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR         ( 256 )                                     /*  50 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR         (  14 )                                     /*  60 最終更新日時 */
 , TAGNAME      VARCHAR         (  30 )                                     /*  80 ﾀｸﾞ名称      */
 , TO_GAMENID   VARCHAR         (  30 )                                     /*  90 先画面ID     */
 , HREF         VARCHAR         ( 256 )                                     /* 100 ﾘﾝｸ先URL     */
 , TARGET       VARCHAR         (  30 )                                     /* 110 ﾀｰｹﾞｯﾄ       */
 , CLM          VARCHAR         (  50 )                                     /* 120 項目         */
 , P_KEYS       VARCHAR         ( 500 )                                     /* 130 引数ｷｰ       */
 , P_VALS       VARCHAR         ( 500 )                                     /* 140 引数値       */
 , USEGAMENID   VARCHAR         (  20 )                                     /* 150 画面使用     */
 , USEREDIRECT  VARCHAR         (  20 )                                     /* 160 ﾘﾀﾞｲﾚｸﾄ使用  */
 , TEXT_DATA    BLOB SUB_TYPE 1                                             /* 170 ﾃｷｽﾄ         */
 , FGOMIT       VARCHAR         (   1 )     DEFAULT '0' NOT NULL            /* 180 除外ﾌﾗｸﾞ     */
 , UNIQ         BIGINT                                  NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR         (   1 )     DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR         (  14 )                                     /* 820 作成日時     */
 , PGSET        VARCHAR         (  50 )                                     /* 830 作成PG       */
 , PGPSET       VARCHAR         (  50 )                                     /* 840 作成親PG     */
 , USRSET       VARCHAR         (  30 )                                     /* 850 作成者       */
 , DYUPD        VARCHAR         (  14 )                                     /* 860 更新日時     */
 , PGUPD        VARCHAR         (  50 )                                     /* 870 更新PG       */
 , PGPUPD       VARCHAR         (  50 )                                     /* 880 更新親PG     */
 , USRUPD       VARCHAR         (  30 )                                     /* 890 更新者       */
);



CREATE SEQUENCE GF71S00 ;


CREATE TRIGGER GF71T00 FOR GF71
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF71S00,1 );
  END; 

