/****************************************************************************/
/* GF05 ( ﾃｰﾌﾞﾙｶﾗﾑ定義 )                                                    */
/*                                                                          */
/* Created : 2022/11/10 17:41:04                                            */
/****************************************************************************/


CREATE TABLE GF05 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  10 ｼｽﾃﾑID       */
 , TBLSYU       VARCHAR2 (    1 )                   NOT NULL            /*  20 ﾃｰﾌﾞﾙ種別    */
 , TABLE_NAME   VARCHAR2 (   50 )                   NOT NULL            /*  30 ﾃｰﾌﾞﾙ名      */
 , CLM          VARCHAR2 (   50 )                   NOT NULL            /*  40 項目         */
 , SEQNO        NUMBER   (    7 )       DEFAULT 0   NOT NULL            /*  50 表示順       */
 , NAME_JA      VARCHAR2 (  200 )                                       /*  60 名称         */
 , CLS_NAME     VARCHAR2 (   10 )                   NOT NULL            /*  70 DBｸﾗｽ        */
 , VIEW_LENGTH  VARCHAR2 (   10 )       DEFAULT '0'                     /*  80 表示桁数     */
 , USE_LENGTH   VARCHAR2 (    9 )       DEFAULT '0'                     /*  90 使用桁数     */
 , DATA_DEFAULT VARCHAR2 (  200 )                                       /* 100 初期値       */
 , NOT_NULL     VARCHAR2 (    1 )                                       /* 110 ﾉｯﾄﾇﾙ        */
 , KBCLM        VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /* 130 ｶﾗﾑ区分      */
 , RENDERER     VARCHAR2 (   10 )                                       /* 140 表示種別     */
 , EDITOR       VARCHAR2 (   10 )                                       /* 150 編集種別     */
 , DBTYPE       VARCHAR2 (   10 )                                       /* 160 文字種別     */
 , BIKO         VARCHAR2 ( 2000 )                                       /* 170 備考         */
 , CDKH         VARCHAR2 (    1 )                                       /* 180 改廃ｺｰﾄﾞ     */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 作成日時     */
 , PGSET        VARCHAR2 (   50 )                                       /* 830 作成PG       */
 , PGPSET       VARCHAR2 (   50 )                                       /* 840 作成親PG     */
 , USRSET       VARCHAR2 (   30 )                                       /* 850 作成者       */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時     */
 , PGUPD        VARCHAR2 (   50 )                                       /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (   50 )                                       /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (   30 )                                       /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K );



CREATE SEQUENCE GF05S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF05T00 
  BEFORE INSERT ON GF05
  FOR EACH ROW 
  BEGIN 
    SELECT GF05S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
